部署 求问 Mac OS X 10.7.3 如何卸载原生 Ruby 环境

wingofsky · 2012年03月13日 · 最后由 imp 回复于 2018年12月23日 · 7543 次阅读

MAC新人 RUBY门都没摸到的新人 求问如何安全卸载掉原生的RUBY 1.8.7 系统环境:10.7.3 卸载的原因是我装了1.9.3的RUBY $ rvm 1.9.3 --default 后重启终端 $ ruby -v 还是1.8.7 所以希望能了解下怎么卸载原生的RUBY环境 谢谢

共收到 9 条回复

系统的ruby不可以卸载。 你肯定是没有在.profile里边加rvm初始化的语句吧。 看wiki。

#1楼 @bwlinux 囧,要在.profile里加啊。。。。。感谢!MAC新人,没用过LINUX类系统,太感谢了!

#2楼 @wingofsky 看你用什么shell了

楼主你头像好亮

#3楼 @lihuazhang 额,这个不知道,不过我加进.bash_profile里了,现在OK了

用rvm安装 mac就默认自动1.93了 你可以用rvm装完后 去系统里把1.87的文件删了试试

专程过来赞楼主头像的 :>

刚注册了账号还不能发帖,借坑求教个问题: 接高德api时候自动升级了gem版本到3.0.1,系统自带ruby版本是2.3.7,升级后导致gem报错,测试了应该就是ruby和gem版本不兼容,用brew更新ruby到2.5.3后gem可以正常使用了。也用rvm安装了新版本,shell里面一切正常,但是到xcode里面archive的时候导出包会报错,看日志报的gem的错,用的也是系统自带的ruby版本,这个问题怎么破?折腾了很久没搞定,大侠求我!

需要 登录 后方可回复, 如果你还没有账号请点击这里 注册